# frozen_string_literal: true

# Ministry of Matching.
require 'letitcrash/matchers/base'
require 'letitcrash/matchers/app_veyor'
require 'letitcrash/matchers/buildkite'
require 'letitcrash/matchers/circle_ci'
require 'letitcrash/matchers/codefresh'
require 'letitcrash/matchers/codeship'
require 'letitcrash/matchers/drone'
require 'letitcrash/matchers/git'
require 'letitcrash/matchers/gitlab_ci'
require 'letitcrash/matchers/jenkins'
require 'letitcrash/matchers/semaphore'
require 'letitcrash/matchers/shippable'
require 'letitcrash/matchers/snap_ci'
require 'letitcrash/matchers/solano_ci'
require 'letitcrash/matchers/team_city'
require 'letitcrash/matchers/travis_ci'
require 'letitcrash/matchers/wercker'
require 'letitcrash/matcher'

# Ministry of Sanitation.
require 'letitcrash/sanitizer'

# Ministry of Construction.
require 'letitcrash/proto/structs'
require 'letitcrash/builders/file_builder'
require 'letitcrash/builders/report_builder'

# Ministry of Reporting.
require 'letitcrash/reporters/stream'
require 'letitcrash/reporters/upload'

require 'letitcrash/formatter'
require 'letitcrash/version'
