# frozen_string_literal: true

module LetItCrash
  module Matchers
    class Codefresh < Base
      # This method performs a :reek:NilCheck.
      def matches?
        !branch.nil?
      end

      def branch
        environment['CF_BRANCH']
      end

      def sha
        environment['CF_REVISION']
      end
    end # class Codefresh
  end # module Matchers
end # module LetItCrash
