# frozen_string_literal: true

module LetItCrash
  module Matchers
    class Jenkins < Base
      # This method performs a :reek:NilCheck.
      def matches?
        !environment['JENKINS_URL'].nil?
      end

      def branch
        environment['ghprbSourceBranch'] || environment['GIT_BRANCH']
      end

      def sha
        environment['ghprbActualCommit'] || environment['GIT_COMMIT']
      end
    end # class Jenkins
  end # module Matchers
end # module LetItCrash
