# frozen_string_literal: true

module LetItCrash
  module Matchers
    class Shippable < Base
      def matches?
        ci? && environment['SHIPPABLE'] == 'true'
      end

      def branch
        environment['BRANCH']
      end

      def sha
        environment['COMMIT']
      end
    end # class Shippable
  end # module Matchers
end # module LetItCrash
