# frozen_string_literal: true

module LetItCrash
  module Matchers
    class SolanoCI < Base
      def matches?
        environment['TDDIUM'] == 'true'
      end

      def branch
        environment['TDDIUM_CURRENT_BRANCH']
      end

      def sha
        environment['TDDIUM_CURRENT_COMMIT']
      end
    end # class SolanoCI
  end # module Matchers
end # module LetItCrash
