# frozen_string_literal: true

module LetItCrash
  module Matchers
    class Wercker < Base
      # This method performs a :reek:NilCheck.
      def matches?
        ci? && !branch.nil?
      end

      def branch
        environment['WERCKER_GIT_BRANCH']
      end

      def sha
        environment['WERCKER_GIT_COMMIT']
      end
    end # class Wercker
  end # module Matchers
end # module LetItCrash
