# frozen_string_literal: true

module LetItCrash
  module Matchers
    class AppVeyor < Base
      def matches?
        ci? && environment['APPVEYOR'] == 'true'
      end

      def branch
        environment['APPVEYOR_REPO_BRANCH']
      end

      def sha
        environment['APPVEYOR_REPO_COMMIT']
      end
    end # class AppVeyor
  end # module Matchers
end # module LetItCrash
