# frozen_string_literal: true

module LetItCrash
  module Matchers
    class Buildkite < Base
      def matches?
        ci? && environment['BUILDKITE'] == 'true'
      end

      def branch
        environment['BUILDKITE_BRANCH']
      end

      def sha
        environment['BUILDKITE_COMMIT']
      end
    end # class Buildkite
  end # module Matchers
end # module LetItCrash
