# frozen_string_literal: true

module LetItCrash
  module Matchers
    class CircleCI < Base
      def matches?
        ci? && environment['CIRCLECI'] == 'true'
      end

      def branch
        environment['CIRCLE_BRANCH']
      end

      def sha
        environment['CIRCLE_SHA1']
      end
    end # class CircleCI
  end # module Matchers
end # module LetItCrash
