# frozen_string_literal: true

module LetItCrash
  module Matchers
    class Codeship < Base
      def matches?
        ci? && environment['CI_NAME'] == 'codeship'
      end

      def branch
        environment['CI_BRANCH']
      end

      def sha
        environment['CI_COMMIT_ID']
      end
    end # class Codeship
  end # module Matchers
end # module LetItCrash
