# frozen_string_literal: true

module LetItCrash
  module Matchers
    class Drone < Base
      def matches?
        ci? && environment['DRONE'] == 'true'
      end

      def branch
        environment['DRONE_BRANCH']
      end

      def sha
        environment['DRONE_COMMIT']
      end
    end # class Drone
  end # module Matchers
end # module LetItCrash
