# frozen_string_literal: true

module LetItCrash
  module Matchers
    class Semaphore < Base
      def matches?
        ci? && environment['SEMAPHORE'] == 'true'
      end

      def branch
        environment['BRANCH_NAME']
      end

      def sha
        environment['REVISION']
      end
    end # class Semaphore
  end # module Matchers
end # module LetItCrash
