# frozen_string_literal: true

module LetItCrash
  module Matchers
    class SnapCI < Base
      def matches?
        ci? && environment['SNAP_CI'] == 'true'
      end

      def branch
        environment['SNAP_BRANCH'] || environment['SNAP_UPSTREAM_BRANCH']
      end

      def sha
        environment['SNAP_COMMIT'] || environment['SNAP_UPSTREAM_COMMIT']
      end
    end # class SnapCI
  end # module Matchers
end # module LetItCrash
