# frozen_string_literal: true

module LetItCrash
  module Matchers
    class TeamCity < Base
      def matches?
        environment['CI_SERVER_NAME'] == 'TeamCity'
      end

      def branch
        environment['TEAMCITY_BUILD_BRANCH']
      end

      def sha
        environment['TEAMCITY_BUILD_COMMIT']
      end
    end # class TeamCity
  end # module Matchers
end # module LetItCrash
