# frozen_string_literal: true

module LetItCrash
  module Matchers
    class TravisCI < Base
      def matches?
        ci? && environment['TRAVIS'] == 'true'
      end

      def branch
        environment['TRAVIS_BRANCH']
      end

      def sha
        environment['TRAVIS_COMMIT']
      end
    end # class TravisCI
  end # module Matchers
end # module LetItCrash
