# frozen_string_literal: true

module LetItCrash
  module Reporters
    class Stream
      def initialize(output:)
        @output = output
      end

      def report(input)
        output.write(input.to_json)
      end

      private

      attr_reader :output
    end # class Stream
  end # module Reporters
end # module LetItCrash
